Redmine - Defect #8356
GET /time_entries.xml ignores limit/offset parameters
2011-05-12 16:25 - Maxim Strukov

Status: Closed Start date: 2011-05-12
Priority: Normal Due date:

Assignee: % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version: 1.2.0

Resolution: Fixed Affected version: 1.1.3
Description

Queries

GET /time_entries.xml
GET /time_entries.xml&limit=10

returns always 25 values per page.

And it is not enough attribute total_count

Associated revisions

Revision 5881 - 2011-05-22 12:48 - Jean-Philippe Lang

Fixed: GET /time_entries.xml ignores limit/offset parameters (#8356).

History

#1 - 2011-05-22 12:50 - Jean-Philippe Lang
- Subject changed from Limit parameter don't working with GET /time_entries.xml to GET /time_entries.xml ignores limit/offset parameters
- Status changed from New to Resolved

- Target version set to 1.2.0

- Resolution set to Fixed

Fixed in r5881, total_count, offset, limit information were also added to the response.

#2 - 2011-05-29 09:24 - Jean-Philippe Lang
- Status changed from Resolved to Closed

Merged in 1.2-stable.
